Endpoint per il consumo giornaliero dell’utente
curl --request GET \
--url https://api.devin.ai/v2/enterprise/consumption/daily/{user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v2/enterprise/consumption/daily/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v2/enterprise/consumption/daily/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"consumption_by_date": {},
"consumption_by_org_id": {},
"total_acus": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Endpoint del consumo
Consumo giornaliero utente
Restituisce il consumo giornaliero per un utente specifico
GET
/
v2
/
enterprise
/
consumption
/
daily
/
{user_id}
Endpoint per il consumo giornaliero dell’utente
L’API di consumo è disponibile solo per gli account con piano Enterprise. I Team e le organizzazioni
self-serve ricevono una risposta
403; non esiste un’opzione per singolo account che il supporto possa abilitare.Comportamento del fuso orario
Filtraggio per organizzazione
org_ids, i risultati includono tutti gli ACU attribuiti alle organizzazioni specificate: sia gli ACU delle sessioni Devin sia quelli di Devin Desktop e Devin CLI, attribuiti all’organizzazione di fatturazione principale di ciascun utente. Per informazioni su come viene determinata l’organizzazione di fatturazione principale di un utente, consulta Local Agent Controls.Autorizzazioni
API key personale (apk_user_*) riservata agli amministratori Enterprise

